/* A simple zdepth shader */

surface zshader (float near=0., far=40.;) {

   /* transform point to camera space */
   point depth = transform("camera", P);
   float z,depthz;

   /* get position in z */
   depthz=zcomp(depth);

   /* workout zdepth based on this position */
   if(depthz>far) { z=1; }
    else { z=depthz/(far-near); }

   /* finally we set color based on distance of point from camera */
   /* z has already been scaled to range of 0 to 1 */
   /* for clarity we invert value of z so that brighter objects are nearer */
   
   z=1-z;
   Ci=z;
   Oi=Os; Ci*=Oi;
}
